﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using System.IO;
namespace BankSystem
{
    public class Bank
    {
        private Dictionary<int, BankAccount> accounts = new Dictionary<int, BankAccount>();

        public BankAccount this[int accountID]
        {
            get { return accounts[accountID]; }
            set { accounts[accountID] = value; }
        }

        public bool ContainsAccountID(int accountID)
        {
            return accounts.ContainsKey(accountID);
        }

        public bool ContainsAccount(BankAccount account)
        {
            return accounts.ContainsValue(account);
        }
    }
}
