﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Text.RegularExpressions;
using System.Threading.Tasks;

namespace EmailValidator
{
    class Program
    {
        private static Regex emailRegex = new Regex(@"^[\w\.\-']+@[\w\.\-']+\.[a-z]{2,3}$", RegexOptions.IgnoreCase);

        static void Main(string[] args)
        {
            List<string> validEmailAddresses = new List<string>();
            List<string> invalidEmailAddresses = new List<string>();

            while (true)
            {
                Console.Write("Enter email address [or 'quit']: " );
                string input = Console.ReadLine();
                if (input.ToLower() == "quit")
                {
                    break;
                }

                if (emailRegex.IsMatch(input))
                {
                    Console.WriteLine(" - Valid");
                    validEmailAddresses.Add(input);
                }
                else
                {
                    Console.WriteLine(" - Invalid");
                    invalidEmailAddresses.Add(input);
                }
            }

            Console.WriteLine("\nValid email addresses:");
            foreach (string s in validEmailAddresses)
            {
                Console.WriteLine("  " + s);
            }

            Console.WriteLine("\nInvalid email addresses:");
            foreach (string s in invalidEmailAddresses)
            {
                Console.WriteLine("  " + s);
            }
            Console.ReadLine();
        }
    }
}
